Skip to main content
POST
python (new sdk)

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Path Parameters

seat_id
string<uuid4>
required

Response

Successful Response

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid>
required

The seat ID

subscription_id
string<uuid> | null
required

The subscription ID (for recurring seats)

order_id
string<uuid> | null
required

The order ID (for one-time purchase seats)

status
enum<string>
required

Status of the seat

Available options:
pending,
claimed,
revoked
customer_id
string<uuid> | null
required

The customer ID. When member_model_enabled is true, this is the billing customer (purchaser). When false, this is the seat member customer.

member_id
string<uuid> | null
required

The member ID of the seat occupant

member
Member · object | null
required

The member associated with this seat

email
string | null
required

Email of the seat member (set when member_model_enabled is true)

customer_email
string | null
required

The assigned customer email

invitation_token_expires_at
string<date-time> | null
required

When the invitation token expires

claimed_at
string<date-time> | null
required

When the seat was claimed

revoked_at
string<date-time> | null
required

When the seat was revoked

seat_metadata
Seat Metadata · object | null
required

Additional metadata for the seat